Support REE 1.8.6 #48

Merged
merged 2 commits into from Sep 22, 2011

Conversation

Projects
None yet
2 participants
Contributor

paulrosania commented Sep 22, 2011

[Reopening #39 on a clean branch.]

I wrote a definition for the final version of REE 1.8.6 (20090610). Unfortunately some of us are still using it in the wild. I thought it would be a common-enough version to merit inclusion. (Probably installed more places than MRI 1.8.6 these days.)

There are just two significant differences from REE 1.8.7:

  • Downgrade Rubygems to the most recent compatible version (1.4.2)
  • Create a directory that REE's insane installer expects, but doesn't get created with --dont-install-useful-gems (otherwise the installer crashes)

Hopefully this is helpful :)

josh added a commit that referenced this pull request Sep 22, 2011

@josh josh merged commit 13cb0f3 into rbenv:master Sep 22, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment